> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create a new product

POST https://integrators.prod.api.tabsplatform.com/v3/products
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/products/createProduct

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/products:
    post:
      operationId: integrators-api-products-controller-create-product
      summary: Create a new product
      tags:
        - products
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Product created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products_IntegratorsApiProductsController_createProduct_Response_201
        '400':
          description: Bad Request - validation failed
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Merchant not found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProductV3Dto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    CreateProductV3DtoStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
      description: Product status (active or inactive)
      title: CreateProductV3DtoStatus
    CreateProductV3Dto:
      type: object
      properties:
        name:
          type: string
          description: Internal catalog name of the product
        displayName:
          type: string
          description: Customer-facing display name. If omitted, defaults to `name`.
        status:
          $ref: '#/components/schemas/CreateProductV3DtoStatus'
          description: Product status (active or inactive)
        description:
          type: string
          description: Product description
        integrationItemId:
          type: string
          description: ERP integration item ID
        erpClassId:
          type: string
          description: ERP class ID
      required:
        - name
        - status
      title: CreateProductV3Dto
    ProductV3DtoStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
      description: Product status (active or inactive)
      title: ProductV3DtoStatus
    ProductV3Dto:
      type: object
      properties:
        id:
          type: string
          description: Product ID
        manufacturerId:
          type: string
          description: Merchant ID
        name:
          type: string
          description: Internal catalog name of the product
        displayName:
          type: string
          description: Customer-facing display name of the product
        status:
          $ref: '#/components/schemas/ProductV3DtoStatus'
          description: Product status (active or inactive)
        createdAt:
          type: string
          format: date-time
          description: Product creation date
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: Product last updated date
        description:
          type:
            - string
            - 'null'
          description: Product description
        integrationItemId:
          type: string
          description: ERP integration item ID
        integrationItemName:
          type:
            - string
            - 'null'
          description: ERP integration item name
        erpClassId:
          type: string
          description: ERP class ID
        erpClassName:
          type:
            - string
            - 'null'
          description: ERP class name
      required:
        - id
        - manufacturerId
        - name
        - displayName
        - status
        - createdAt
        - updatedAt
      title: ProductV3Dto
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Products_IntegratorsApiProductsController_createProduct_Response_201:
      type: object
      properties:
        payload:
          $ref: '#/components/schemas/ProductV3Dto'
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: Products_IntegratorsApiProductsController_createProduct_Response_201
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "name": "ProMax Software Suite",
  "status": "ACTIVE"
}
```

**Response**

```json
{
  "payload": {
    "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "manufacturerId": "a3bb189e-8bf9-3888-9912-ace4e6543002",
    "name": "ProMax Software Suite",
    "displayName": "ProMax Software Suite",
    "status": "ACTIVE",
    "createdAt": "2024-05-10T09:15:00.000Z",
    "updatedAt": "2024-05-10T09:15:00.000Z",
    "description": "Comprehensive software package for enterprise resource planning.",
    "integrationItemId": "INTG-456789",
    "integrationItemName": "ProMax ERP Module",
    "erpClassId": "ERP-12345",
    "erpClassName": "Enterprise Software"
  },
  "success": true,
  "message": "Product created successfully.",
  "error": {
    "code": 0,
    "message": "",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/products"

payload = {
    "name": "ProMax Software Suite",
    "status": "ACTIVE"
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/products';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"ProMax Software Suite","status":"ACTIVE"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/products"

	payload := strings.NewReader("{\n  \"name\": \"ProMax Software Suite\",\n  \"status\": \"ACTIVE\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/products")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"ProMax Software Suite\",\n  \"status\": \"ACTIVE\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/products")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"ProMax Software Suite\",\n  \"status\": \"ACTIVE\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/products', [
  'body' => '{
  "name": "ProMax Software Suite",
  "status": "ACTIVE"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/products");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"ProMax Software Suite\",\n  \"status\": \"ACTIVE\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "ProMax Software Suite",
  "status": "ACTIVE"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/products")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```